diff --git a/doc/src/sgml/indices.sgml b/doc/src/sgml/indices.sgml
index 1be209a2fe..13285bb0dd 100644
--- a/doc/src/sgml/indices.sgml
+++ b/doc/src/sgml/indices.sgml
@@ -705,15 +705,6 @@ CREATE INDEX test1_lower_col1_idx ON test1 (lower(col1));
 </programlisting>
   </para>
 
-  <para>
-   Expression indexes also allow control over the scope of unique indexes.
-   For example, this unique index prevents duplicate integer values from
-   being stored in a <type>double precision</type>-typed column:
-<programlisting>
-CREATE UNIQUE INDEX test1_uniq_int ON tests ((floor(double_col)))
-</programlisting>
-  </para>
-
   <para>
    If we were to declare this index <literal>UNIQUE</literal>, it would prevent
    creation of rows whose <literal>col1</literal> values differ only in case,
@@ -953,18 +944,11 @@ CREATE UNIQUE INDEX tests_success_constraint ON tests (subject, target)
     WHERE success;
 </programlisting>
     This is a particularly efficient approach when there are few
-    successful tests and many unsuccessful ones.
+    successful tests and many unsuccessful ones.  It is also possible to
+    allow only one null in a column by creating a unique partial index
+    with an <literal>IS NULL</literal> restriction.
    </para>
 
-   <para>
-    This index allows only one null in the indexed column by using a
-    partial index clause to process only null column values, and using
-    an expression index clause to index <literal>true</literal> instead
-    of <literal>null</literal>:
-<programlisting>
-CREATE UNIQUE INDEX tests_target_one_null ON tests ((target IS NULL)) WHERE target IS NULL;
-</programlisting>
-   </para>
   </example>
 
   <para>
